/*
* Copyright (C) 2013 Chris Neasbitt
* Author: Chris Neasbitt
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
package edu.uga.cs.clickminer.datamodel;

import java.util.ArrayList;
import java.util.List;

import pcap.reconst.http.datamodel.RecordedHttpRequestMessage;

public class InferredInteraction implements Interaction {

	private RecordedHttpRequestMessage message;
	private double refererDelay;
	
	public InferredInteraction(RecordedHttpRequestMessage message, 
			double refererDelay) {
		this.message = message;
		this.refererDelay = refererDelay;
	}

	@Override
	public String getInteractionUrl() {
		return message.getUrl();
	}

	@Override
	public List<ElementLocator> getLocators() {
		return new ArrayList<ElementLocator>();
	}

	@Override
	public double getDelayFromReferer() {
		return refererDelay;
	}

	@Override
	public boolean possibleAddressBarInteraction() {
		return !message.containsHeader("Referer");
	}
	
	public String toString() {
		return "Target URL: " + getInteractionUrl() +  "\n"
				+ "Target Locators:" + "\n";
	}

}
