/*
* Copyright (C) 2012 Chris Neasbitt
* Author: Chris Neasbitt
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
package edu.uga.cs.clickminer.datamodel.ide;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.json.JSONException;
import org.json.JSONObject;

import edu.uga.cs.json.JSONSerializable;

public class Window extends JSONSerializable {

	private static final long serialVersionUID = -8221647234266521055L;
	private String id = null, opener = null;
	private int historyLength = 0;

	private static transient final Log log = LogFactory.getLog(Window.class);

	public Window(JSONObject jval) {
		super(jval);
		fromJSONObject(jval);
	}

	public void fromJSONObject(JSONObject jval) {
		id = jval.optString("id");
		opener = jval.optString("opener");
		historyLength = jval.optInt("h_len");

	}

	public JSONObject toJSONObject() {
		JSONObject retval = new JSONObject();
		try {
			retval.put("id", this.id);
			retval.put("opener", this.opener);
			retval.put("h_len", this.historyLength);
		} catch (JSONException e) {
			if (log.isErrorEnabled()) {
				log.error("", e);
			}
		}

		return retval;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getOpener() {
		return opener;
	}

	public void setOpener(String opener) {
		this.opener = opener;
	}

	public int getHistoryLength() {
		return historyLength;
	}

	public void setHistoryLength(int historyLength) {
		this.historyLength = historyLength;
	}

}
