/*
* Copyright (C) 2013 Chris Neasbitt
* Author: Chris Neasbitt
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
package edu.uga.cs.clickminer.graph.model;

public class MissingFlowVertex extends AbstractFlowVertex {

	private static int VERTCOUNTER = 0;
	private static String IDTEXT = "MISSING_REQUEST";
	private final String url;
	private final String id;

	public MissingFlowVertex(String url) {
		this.url = url;
		this.id = IDTEXT + "_" + VERTCOUNTER++;
	}
	
	public MissingFlowVertex(MissingFlowVertex vert){
		this(vert.getUrl());
	}

	public String getUrl() {
		return url;
	}

	@Override
	public String getId() {
		return id;
	}

	@Override
	public AbstractFlowVertex copy() {
		return new MissingFlowVertex(this);
	}
	
	@Override
	public boolean equals(Object obj){
		if(obj instanceof MissingFlowVertex){
			MissingFlowVertex vert = (MissingFlowVertex)obj;
			return url.equals(vert.getUrl()) && id.equals(vert.getId());
		}
		return false;
	}

}
