/*
* Copyright (C) 2013 Chris Neasbitt
* Author: Chris Neasbitt
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
package edu.uga.cs.clickminer.graph.model;

public class RefererEdge extends AbstractRefererEdge {

	private static final long serialVersionUID = -7510184104034268942L;
	// in seconds
	private final double timeDelta;

	public RefererEdge(){
		timeDelta = -1;
	}
	
	public RefererEdge(double timeDelta) {
		this.timeDelta = timeDelta;
	}
	
	public RefererEdge(RefererEdge orig){
		this.timeDelta = orig.timeDelta;
	}

	public double getTimeDelta() {
		return timeDelta;
	}

	@Override
	public AbstractRefererEdge copy() {
		return new RefererEdge(this);
	}

}
