/*
* Copyright (C) 2013 Chris Neasbitt
* Author: Chris Neasbitt
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
package edu.uga.cs.clickminer.results;

import java.util.ArrayList;
import java.util.Collection;

public class ClassificationResultList extends ArrayList<ClassificationResult> {

	private static final long serialVersionUID = -4780081161698829353L;
	private final String setName;
	
	public ClassificationResultList(String setName) {
		this.setName = setName;
	}

	public ClassificationResultList(int initialCapacity, String setName) {
		super(initialCapacity);
		this.setName = setName;
	}

	public ClassificationResultList(Collection<? extends ClassificationResult> c, String setName) {
		super(c);
		this.setName = setName;
	}
	
	public ClassificationResultList(ClassificationResultList c) {
		super(c);
		this.setName = c.getSetName();
	}
	
	public String getSetName(){
		return setName;
	}

}
