/*
* Copyright (C) 2013 Chris Neasbitt
* Author: Chris Neasbitt
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
package edu.uga.cs.clickminer.results;

public class ComparisonMatch {

	private Integer recordedClick, matchingMinedClick;
	private Boolean clickMatchable , clickConfirmed, matchHasLocator, 
		urlMatch, locatorMatch;
	
	public ComparisonMatch(int recordedClick, boolean clickMatchable, boolean clickConfirmed) {
		this.recordedClick = recordedClick;
		this.clickMatchable = clickMatchable;
		this.clickConfirmed = clickConfirmed;
	}
	
	public ComparisonMatch(int recordedClick, boolean clickMatchable, 
			boolean clickConfirmed, int matchingMinedClick, boolean matchHasLocator,
			boolean urlMatch, boolean locatorMatch) {
		this.recordedClick = recordedClick;
		this.clickMatchable = clickMatchable;
		this.clickConfirmed = clickConfirmed;
		this.matchingMinedClick = matchingMinedClick;
		this.matchHasLocator = matchHasLocator;
		this.urlMatch = urlMatch;
		this.locatorMatch = locatorMatch;
	}

	public int getRecordedClick() {
		return recordedClick;
	}

	public int getMatchingMinedClick() {
		return matchingMinedClick;
	}

	public boolean getClickMatchable() {
		return clickMatchable;
	}

	public boolean getClickConfirmed() {
		return clickConfirmed;
	}

	public boolean getMatchHasLocator() {
		return matchHasLocator;
	}

	public boolean getUrlMatch() {
		return urlMatch;
	}

	public boolean getLocatorMatch() {
		return locatorMatch;
	}
		
	public String[] toCSVArray(){
		String[] retval = new String[7];
		retval[0] = recordedClick.toString();
		retval[1] = clickMatchable.toString();
		retval[2] = clickConfirmed.toString();
		if(matchingMinedClick != null){
			retval[3] = matchingMinedClick.toString();
			retval[4] = matchHasLocator.toString();
			retval[5] = urlMatch.toString();
			retval[6] = locatorMatch.toString();
		} else {
			retval[3] = "";
			retval[4] = "";
			retval[5] = "";
			retval[6] = "";
		}
		return retval;		
	}
}
