/*
* Copyright (C) 2013 Chris Neasbitt
* Author: Chris Neasbitt
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
package edu.uga.cs.clickminer.results;

import java.util.List;

public class ComparisonResult {

	private final List<ComparisonMatch> matches;
	private final ComparisonSummary summary;
	private final List<Integer> falsePositiveClicks, addressBarInteractions,
		confirmedClicks, unconfirmedClicks, augmentedClicks;
	
	
	public ComparisonResult(ComparisonSummary summary, List<ComparisonMatch> matches,
			List<Integer> falsePositiveClicks, List<Integer> addressBarInteractions,
			List<Integer> confirmedClicks, List<Integer> unconfirmedClicks, 
			List<Integer> augmentedClicks) {
		this.summary = summary;
		this.matches = matches;
		this.falsePositiveClicks = falsePositiveClicks;
		this.addressBarInteractions = addressBarInteractions;
		this.confirmedClicks = confirmedClicks;
		this.unconfirmedClicks = unconfirmedClicks;
		this.augmentedClicks = augmentedClicks;
	}

	public List<ComparisonMatch> getMatches() {
		return matches;
	}

	public ComparisonSummary getSummary() {
		return summary;
	}

	public List<Integer> getFalsePositiveClicks() {
		return falsePositiveClicks;
	}

	public List<Integer> getAddressBarInteractions() {
		return addressBarInteractions;
	}

	public List<Integer> getConfirmedClicks() {
		return confirmedClicks;
	}

	public List<Integer> getUnconfirmedClicks() {
		return unconfirmedClicks;
	}

	public List<Integer> getAugmentedClicks() {
		return augmentedClicks;
	}

}
