/*
* Copyright (C) 2013 Chris Neasbitt
* Author: Chris Neasbitt
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
package edu.uga.cs.clickminer.util;

import java.io.FileNotFoundException;
import java.io.PrintWriter;

import edu.uga.cs.clickminer.results.ClassificationResult;
import edu.uga.cs.clickminer.results.ClassificationResultList;

public class RUtils {

	public static String prepRData(ClassificationResultList results){
		String xvals = new String(), yvals = new String(), avals = new String();
		for(int i = 0; i < results.size(); i++){
			ClassificationResult result = results.get(i);
			xvals += result.getFalsePositiveRate();
			yvals += result.getTruePositiveRate();
			avals += result.getThreshold();
			if(i < results.size() - 1){
				xvals += ",";
				yvals += ",";
				avals += ",";
			}
		}
		return xvals + "\n" + yvals + "\n" + avals;
	}
	
	public static void printRData(String rData, String outpath) 
			throws FileNotFoundException{
		PrintWriter writer = new PrintWriter(outpath);
		writer.write(rData);
		writer.close();
	}
}
