/*
* Copyright (C) 2013 Chris Neasbitt
* Author: Chris Neasbitt
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
package edu.uga.cs.clickminer.util;

import java.io.File;
import java.io.IOException;

public class ResultsUtils {

	private static File getFile(File resultsDir, String filename) throws IOException{
		return new File(resultsDir.getCanonicalPath() + File.separatorChar + 
				filename);
	}
	
	private static File getResultsDir(String outputdir) throws IOException{
		File resultsDir = new File(outputdir);
		if(!resultsDir.isDirectory()){
			throw new IOException(outputdir + " is not a directory.");
		}
		return resultsDir;
	}
	
	public static File getPcap(String outputdir) throws IOException{
		return ResultsUtils.getFile(ResultsUtils.getResultsDir(outputdir), 
				"traffic_trace.pcap");
	}
	
	public static File getMinedClicks(String outputdir) throws IOException{
		return ResultsUtils.getFile(ResultsUtils.getResultsDir(outputdir), 
				"mined_clicks.json");
	}
	
	public static File getRecordedClicks(String outputdir) throws IOException{
		return ResultsUtils.getFile(ResultsUtils.getResultsDir(outputdir), 
				"recorded_clicks.json");
	}
	
	public static File getResultsFalsePositives(String outputdir) throws IOException{
		return ResultsUtils.getFile(ResultsUtils.getResultsDir(outputdir), 
				"results_comparison_falsepositives.csv");
	}
	
	public static File getResultsAddressBar(String outputdir) throws IOException{
		return ResultsUtils.getFile(ResultsUtils.getResultsDir(outputdir), 
				"results_comparison_addressbar.csv");
	}
	
	public static File getResultsMatches(String outputdir) throws IOException{
		return ResultsUtils.getFile(ResultsUtils.getResultsDir(outputdir), 
				"results_comparison_matches.csv");
	}
	
	public static File getResultsSummary(String outputdir) throws IOException{
		return ResultsUtils.getFile(ResultsUtils.getResultsDir(outputdir), 
				"results_comparison_summary.csv");
	}
}
